Subject: dos2unix 1.0
From: [email-masked] (Garrett D'Amore)
Date: 2 Jan 1994 18:03:36 +0200
Newsgroups: comp.os.linux.announce

This is the official release of dos2unix 1.0.  This should *not* be
confused with the SunOS (Solaris) program of the same name.  (More on
that later.)  This package consists of two programs, dos2unix and
unix2dos.  What they do, is act as filters to strip away CR from DOS
CRLF sequences, or add them to UNIX LFs.  This makes it easier to work
with text files tranferred between the two platforms.  They are filters,
which makes them especially handy.  For example, my DeskJet expects the
CRs to be there, but lpr doesn't put any there.  So I do "unix2dos
<filename> | lpr".  If I had a bunch of files I could do "cat * |
unix2dos | lpr".   You get the idea.  The code is ANSI C, so you can
compile it on any platform, but since I use Linux, I posted here. :^)

You can find the package for ftp at netcom.com in the following file:
/pub/garrett/dos2unix.tar.gz.  It's gzip'ed so gunzip it, and untar the
result from a source tree, e.g. in /usr/src.  Man pages and full docs
are included. :^)

Here's the deal on SunOS' version -- I didn't know about it when I wrote
it, and it *isn't* command-line compatible with mine!  (I might add code
to make mine act like it, but not today!)  In any case, read the man
pages and *don't* assume it is the Sun version or a clone of it!  It is
not.  Sun and I just happen to agree on naming, that's all... :^)

Here's the README file from dos2unix 1.0

			-- Garrett D'Amore

---------------------------------------------------------------------------
This is the README file for dos2unix 1.0  Please read it thorugh completely
before you try to use any of the programs included.  (This file is short --
at least I'll try to keep it that way.)

>>> WARRANTY DISCLAIMER <<<

NO WARRANTY.  User agrees to indemnify author from any claim of damage or
loss arising from the use of or inability to use these programs.  In simple
Englise, USE THESE PROGRAMS AT YOUR OWN RISK!

>>> COPYRIGHT INFORMATION <<<

dos2unix and unix2dos are copyright 1993 by Garrett D'Amore, but you (the
user) are given a license to freely redistribute, use, or modify these
programs, so long as any copyright notices are included and left intact. 
Of course, if you modify these programs or fix any bugs, I'd appreciate it
if you let me know so that I can incorporate such changes into the master
source tree.

>>> DESCRIPTION <<<

dos2unix 1.0 is a set of two programs (dos2unix and unix2dos) that act as
text filters, either adding or removing carriage returns from or to CRLF 
or CR sequences, allowing the conversion of ASCII files from UNIX format
to DOS format, and vice versa.

>>> COMPILING DOS2UNIX <<<

You can compile the programs by running "make" on a Unix system.  The 
source is standard C, so it will work on other systems as well, but the
Makefile assumes UNIX, so you will probably have to compile the code by
hand.  Sorry. :^)

After you have compiled the code, you can install the binaries and man
pages on a UNIX system by running "make install".  I recommend you check over
the Makefile and edit the target directories if neccessary.  Also, you will
probably need system administration privileges to create the required files.

>>> USING DOS2UNIX <<<

There are two programs, dos2unix and unix2dos.  They are filters, but will
take a command line argument indicating an input file to use instead of
standard input (stdin).  I highly recommend you read over the man pages 
before using either program.  (This is a good idea with any package!)

I find the unix2dos program useful for printing files under Unix to my
printer which expects carriage returns to be present.  I use the command
"unix2dos dosfile.txt | lpr" to achieve this.

>>> CONCLUSION <<<

Well, that's it.  I hope you find these programs useful -- I have!  I welcome
your comments, suggestions, and monetary donations. :^)  (I'm a starving 
student, btw.)  You can reach me at the following addresses:

	Internet: [email-masked]

	Postal: Garrett D'Amore
		2540 Polk Ave.
		San Diego, CA 92104

Thanks, again, and happy computing.  Oh, btw, I am available for hire in the
San Diego area as of this writing, so drop me a line if you want a Unix,
Novell, or DOS programmer or sysadmin. :^)

			Garrett D'Amore 	12/28/93

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.